## libdontdie 1.2.0

=== Makefile ===
CC=gcc
CFLAGS+=-fpic -Wall -Wextra -O3 ${CPPFLAGS}
LDFLAGS+=-shared -Wl,-soname,libdontdie.so.0

all: libdontdie.so libdontdie.so.0

testapps: test/Cperformance/perf test/java/EchoClient.class \
	test/Cblackbox/tcp_server test/Cblackbox/tcp_client


libdontdie.so.0:
	ln -s libdontdie.so libdontdie.so.0

libdontdie.so: src/libdontdie.c
	${CC} ${CFLAGS} -o $@ $< ${LDFLAGS} -ldl

test/Cblackbox/tcp_server: test/Cblackbox/tcp_server.c
	${CC} ${CFLAGS} -o $@ $<

test/Cblackbox/tcp_client: test/Cblackbox/tcp_client.c
	${CC} ${CFLAGS} -o $@ $<

test/Cperformance/perf: test/Cperformance/perf.c
	${CC} ${CFLAGS} -o $@ $<

test/java/EchoClient.class: test/java/EchoClient.java
	(cd test/java; javac EchoClient.java)

.PHONY: clean
clean:
	rm -f libdontdie.so* test/Cperformance/perf test/java/EchoClient.class \
	   test/Cblackbox/tcp_server test/Cblackbox/tcp_client

=== debian/changelog ===
libdontdie (1.2.0-2) unstable; urgency=low

  * debian/control: use salsa VCS URLs
  * debian/control: use dh11
  * debian/control: bump standard to 4.2.1 (no changes)
  * debian/rules: remove get-orig-source target

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 08 Sep 2018 16:00:00 +0200

libdontdie (1.2.0-1) unstable; urgency=low

  * Initial package. (Closes: #780225)

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 10 Mar 2015 19:00:00 +0100

=== debian/control ===
Source: libdontdie
Section: libs
Priority: optional
Maintainer: Thorsten Alteholz <debian@alteholz.de>
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/alteholz/libdontdie
Vcs-Git: https://salsa.debian.org/alteholz/libdontdie.git
Build-Depends: debhelper (>= 11)
	, dh-exec (>=0.3)
Homepage: https://github.com/flonatel/libdontdie

Package: libdontdie0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: library that sets the TCP keep-alive flag when applications call socket(2)
 libdontdie is a shared library that can be injected into  any  application
 with the LD_PRELOAD mechanism.
 It is completely transparent to the application and therefore works equally
 well with closed-source programs and with languages like Java that do not
 natively allow changing the TCP keep-alive parameters.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
#PREFIX = ./debian/libdontdie
#LIBDIR = ${PREFIX}/usr/lib/${DEB_HOST_MULTIARCH}

%:
	dh $@

=== debian/watch ===
version=3
https://github.com/flonatel/libdontdie/releases /flonatel/libdontdie/releases/download/[\d.]*/libdontdie-([\d.]*)\.tar\.xz
